Subject: Re: [PROBLEM] Bonding driver in linux-2.6.21-rc6-mm1

From: Patrick McHardy <[email-masked]>
Date: Sat, 28 Apr 2007 23:55:35 +0200

Andrew Morton wrote:
> On Sat, 28 Apr 2007 22:37:42 +0200 Vincent ETIENNE <[email-masked]> wrote:
> 
>>>because we thought we'd fixed the rtnl_lock() problems in 2.6.21-rc7-mm2.
>>>Are you sure that log is from 2.6.21-rc7-mm2?
>>
>>
>>Yes. I have retested it another time ( for adding the small usb debug 
>>message ) and get the same message a new time.
>>
>>Maybe a tiny difference : only eth0 was setup during boot ( bond0 and eth1 was 
>>not setup - volontary  - to avoid problem that could interfere with usb ). 
>>Ony after having done my usb test, i have stopped the eth0, setup bond 
>>interface and restart bond interface and got the same problem with the same 
>>back trace.
> 
> 
> OK, thanks.

The failed RTNL assertion here is unrelated to the mutex initialization
bug in 2.6.1-rc7-mm1. The bonding driver is not holding the rtnl_mutex
while calling dev_set_mac_address (and can not since its called from
a timer). I believe this is a known problem to the bonding maintainers.